% File name Leggettplus_partb.m
%by OEHHA staff 2013 and updated in 2015
%file for updating plasma transfer rates according to changes in lead in red
%blood cell compartment

     RBC = X(3);%amount of lead in red blood cell compartment
     RBCCD = RBC/RBCV;%concentration of lead in red blood cell compartment

%ADJUSTMENT OF DEPOSITION APPORTIONMENT     
        if (RBCCD >Thresh); 
        SF = RBCdep*(1.0 - (RBCCD - Thresh)/(Sat - Thresh))^1.5;     
        else  SF = 1*RBCdep; %;         
        end
        FS = (1-SF)/(1-RBCdep);
        SFm = SF/RBCdep;
            
%NEW SETTINGS FOR URINE CLEARANCE
    
    UC = UCL*((Kpdurp+Kpdurb)/2000); %0.1*urinary path deposition from diffusible plasma (about 2.7%)        
        CU = 1+((1-UCL)*FS/(1.828))/(length(mass_balance));%adjustment 4/7/2015
        UCm = UC/((Kpdurp+Kpdurb)/2000);% 
           
    Kpdevf = CU*FS*(1000/day);%1000/2000 %transfer rate from plasma-D to EVF  
    Kpdrbc = CU*SFm*(480/day);%480/2000 = %transfer rate from plasma-D to Red Blood Cells (deposition is 480/2000 or 0.24)
    Kpdpb = CU*FS*0.800/day; %0.8/2000 = transfer rate from plasma-D to plasma-B
    Kpdurb = UCm*FS*30.00/day; %30/2000 = transfer rate from plasma-D to Urinary bladder 
    Kpdsi = CU*FS*12.00/day; %12/2000 = transfer rate from plasma-D to Small intestine 
    Kpdts = CU*FS*88.96/day; %88.96/2000 = transfer rate from plasma-D to trab surf
    Kpdcs = CU*FS*71.0/day; %71/2000 = transfer rate from plasma-D to cort surf 
    Kpdliv1 = CU*FS*80.00/day; %80/2000 = transfer rate from plasma-D to liver1 
    Kpdurp = UCm*FS*40.00/day;%40/2000 = transfer rate from plasma-D to Urinary path  
    Kpdkid = CU*FS*0.400/day;%0.4/2000 = transfer rate from plasma-D to other kidney 
    Kpdst0 = CU*FS*177.5/day;%177.5/2000 = transfer rate from plasma-D to ST0 
    Kpdst1 = CU*FS*10.00/day;%10/2000 = transfer rate from plasma-D to ST1 
    Kpdst2 = CU*FS*2.000/day;%2/2000 = transfer rate from plasma-D to ST2 
    Kpdbr = CU*FS*0.300/day;%0.3/2000 = transfer rate from plasma-D to brain 
    Kpdsw = CU*FS*7.000/day;%7/2000 = transfer rate from plasma-D to sweat 
                
    mass_balance2 = [Kpdevf, Kpdrbc, Kpdpb, Kpdurb, Kpdsi, Kpdts, Kpdcs, Kpdliv1, Kpdurp, Kpdkid, Kpdst0, Kpdst1, Kpdst2, Kpdbr, Kpdsw];
    MB2 = sum(mass_balance2);
 % %Define matrix notation for each new transfer coefficient just defined       
a2_1 = Kpdevf;  %=1000/day transfer rate from plasma-D to EVF  
a3_1 = Kpdrbc;  %=480/day transfer rate from plasma-D to Red Blood Cells
a4_1 = Kpdpb;   %=0.800/day transfer rate from plasma-D to plasma-B
a5_1 = Kpdcs;   %= 71.0/day %transfer rate from plasma-D to cort surf 
a5_6 = Kcevs;  %= 0.0185/day %transfer rate from Cort Exch vol to surf (0.0185)
a6_5 = Kcsev;  %= 0.50/day %transfer rate from Cort surf to Exch vol (0.50)
a7_6 = Kcevnev;  %= 0.00462/day %transfer rate from Cort Exch vol to Nonexch vol 
a8_1 = Kpdts;   %= 88.96/day %transfer rate from plasma-D to trab surf
a8_9 = Ktevs;  %= 0.0185/day %transfer rate from Trab Exch vol to surf (0.0185)
a9_8 = Ktsev;  %= 0.50/day %transfer rate from Trab surf to Exch vol (0.50)
a10_9 = Ktevnev; %= 0.00462/day %transfer rate from Trab Exch vol to Nonexch vol  
a11_1 = Kpdliv1; %= 80.00/day %transfer rate from plasma-D to liver1 
a12_11 = Kliv1liv2; %= 0.00693/day %transfer rate from Liver 1 to Liver 2 
a13_1 = Kpdst0; %= 177.5/day)%transfer rate from plasma-D to ST0 
a14_1 = Kpdst1; %= 10.00/day)%transfer rate from plasma-D to ST1 
a15_1 = Kpdst2; %= 2.000/day)%transfer rate from plasma-D to ST2 
a16_1 = Kpdbr; %= 0.300/day)%transfer rate from plasma-D to brain 
a17_1 = Kpdkid;%= 0.400/day)%transfer rate from plasma-D to other kidney 
a18_1 = Kpdsi; %= 12.00/day %transfer rate from plasma-D to Small intestine 
a18_11 = Kliv1si; %= 0.0312/day %transfer rate from Liver 1 to Small intestine (0.0312)
a19_1 = Kpdurp;   %= 40.00/day)%transfer rate from plasma-D to Urinary path  
b1 = Kpdurb;   %= 30.00/day %transfer rate from plasma-D to Urinary bladder 
b19 = Kurpurb; %= 0.1390/day %transfer rate from Urinary path to Urinary bladder 
e = Kst1excr; %= 0.00277/day %transfer rate from ST1 to Excreta 
s = Kpdsw; %= 7.000/day)%transfer rate from plasma-D to sweat 

%Transfer rates out of each compartment (should be identical to minus side of differential equations)
a1_1 = -(a2_1+a3_1+a4_1+a5_1+a8_1+a11_1+a13_1+a14_1+a15_1+a16_1+a17_1+a18_1+a19_1 + b1 + s - STOM);%
a2_2 = -a1_2;
a3_3 = -a1_3;
a4_4 = -a1_4;
a5_5 = -(a6_5 + a1_5);
a6_6 = -(a5_6 + a7_6);
a7_7 = -a1_7;
a8_8 = -(a1_8 + a9_8);
a9_9 = -(a8_9 + a10_9);
a10_10 = -a1_10;
a11_11 = -(a1_11 + a12_11 + a18_11);
a12_12 = -a1_12;
a13_13 = -a1_13;
a14_14 = -(a1_14 + e);
a15_15 = -a1_15;
a16_16 = -a1_16;
a17_17 = -a1_17;
a18_18 = -(a1_18 + a20_18);
a19_19 = -b19; 
a20_20 = -a21_20;
a21_21 = -f;

%MATRIX SPECIFICATION

% form matrix A25.
v1 = [a1_1  a1_2 a1_3 a1_4 a1_5 0   a1_7  a1_8 0     a1_10  a1_11  a1_12  a1_13  a1_14  a1_15  a1_16 a1_17  a1_18    0      0      0];
v2 = [a2_1  a2_2 0    0    0    0    0    0    0     0      0      0      0      0      0      0      0      0       0      0      0];
v3 = [a3_1  0    a3_3 0    0    0    0    0    0     0      0      0      0      0      0      0      0      0       0      0      0];
v4 = [a4_1  0    0    a4_4 0    0    0    0    0     0      0	   0      0      0      0      0      0      0       0      0      0];
v5 = [a5_1  0    0    0    a5_5 a5_6 0    0    0     0      0	   0      0      0      0      0      0      0       0      0      0];
v6 = [0     0    0    0    a6_5 a6_6 0    0    0     0      0	   0      0      0      0      0      0	     0       0      0      0];
v7 = [0     0    0    0    0    a7_6 a7_7 0    0     0      0      0      0      0      0      0	  0      0       0      0      0];
v8 = [a8_1  0    0    0    0    0    0   a8_8 a8_9  0       0      0      0      0      0      0      0      0       0      0      0];
v9 = [0     0    0    0    0    0    0    a9_8 a9_9  0      0      0      0      0      0      0      0      0       0      0      0];  
v10= [0     0    0    0    0    0    0    0    a10_9 a10_10 0      0      0      0      0      0      0      0       0      0      0];
v11= [a11_1 0    0    0    0    0    0    0    0     0      a11_11 0      0      0      0      0      0      0       0      0      0];
v12= [0     0    0    0    0    0    0    0    0     0      a12_11 a12_12 0      0      0      0      0      0       0      0      0];
v13= [a13_1 0    0    0    0    0    0    0    0     0 	    0	   0	 a13_13  0      0      0      0      0       0      0      0];
v14= [a14_1 0    0    0    0    0    0    0    0     0      0      0	  0  a14_14     0      0      0      0       0      0      0];
v15= [a15_1 0    0    0    0    0    0    0    0     0      0      0	  0		 0  a15_15     0      0      0       0      0      0];
v16= [a16_1 0    0    0    0    0    0    0    0     0      0      0      0      0		0	a16_16    0      0       0      0      0];
v17= [a17_1 0    0    0    0    0    0    0    0     0      0      0      0      0		0	   0	 a17_17  0	     0      0      0];
v18= [a18_1 0    0    0    0    0    0    0    0     0      a18_11 0      0      0      0	   0	  0  a18_18      0      0      0];
v19= [a19_1 0    0    0    0    0    0    0    0     0      0      0      0      0		0	   0	  0	     0    a19_19    0      0];
v20= [0     0    0    0    0    0    0    0    0     0      0      0      0      0		0	   0	  0 a20_18	     0    a20_20   0];
v21= [0     0    0    0    0    0    0    0    0     0      0      0      0      0		0	   0	  0      0	     0    a21_20 a21_21];

A25 = [v1;v2;v3;v4;v5;v6;v7;v8;v9;v10;v11;v12;v13;v14;v15;v16;v17;v18;v19;v20;v21];
L =(A25)\B ;     
